%Contraste de una imagen
A=imread('_im_luna_color.jpg');
A=double(A);
B=(A(:,:,1)+A(:,:,2)+A(:,:,3))/3;

%visualiza sin Toolbox de Imagenes
colormap(gray(256));
image(B);
disp('Presione una tecla para binarizar...');pause


[nf nc]=size(B);
u1=50;
u2=180;
for f=1:nf
   for c=1:nc
      if B(f,c)<u1
         B(f,c)=0;
      end;
      if B(f,c)>u2
         B(f,c)=255;
      end;
      if B(f,c)>=u1 & B(f,c)<=u2
         dx=u2-u1;
         dy=255;
         m=dy/dx;
         int=0-m*u1;%int=y-m*x;
         B(f,c)=m*B(f,c)+int;
      end;%if
   end;%for
end;%for

image(B);